defmodule Shift73k.Mailer.UserEmail do
  import Swoosh.Email
  import Shift73k, only: [get_app_mailer_from: 0, get_app_mailer_reply_to: 0]


  def compose(user_email, subject, body_text) do
    new()
    |> from(get_app_mailer_from())
    |> to(user_email)
    |> header("Reply-To", get_app_mailer_reply_to())
    |> subject(subject)
    |> text_body(body_text)
  end
end
